@import 'node_modules/bootstrap/scss/bootstrap';
@import 'node_modules/material-design-icons/iconfont/material-icons.css';
@import 'node_modules/flag-icon-css/css/flag-icon.min.css';
@import 'node_modules/flatpickr/dist/flatpickr.min.css';
@import 'node_modules/flatpickr/dist/plugins/monthSelect/style.css';
@import 'node_modules/intl-tel-input/build/css/intlTelInput.min.css';
@import 'node_modules/slick-carousel/slick/slick.css';


body {
  background-color: $background-color;
}

div, h1, h2, h3, h4, h5 {
  word-break: break-word;
}

label {
  margin-bottom: 0;
}

.card, .list-group, .navbar, .alert {
  box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.1), 0 3px 6px 0 rgba(0, 0, 0, .07);

  .card, .list-group {
    box-shadow: none;
  }
}

.text-decoration-line-through {
  text-decoration: line-through;
}

.container {
  max-width: 575px;
  margin-bottom: 24px;
}

.container-fluid {
  max-width: 1200px;
  margin-bottom: 24px;
}

.card:not(:first-child) {
  margin-top: 16px;
}

.list-group:not(:first-child) {
  margin-top: 16px;
}

.card-body {
  padding: 16px;
}

.card-header {
  padding-left: 16px;
  padding-right: 16px;
}

.list-group-item {
  padding-left: 16px;
  padding-right: 16px;
}

.list-group-scrollable {
  border-top: $border-width solid $border-color;
  overflow: auto;
  max-height: 300px;
}

.list-group-item-btn {
  text-align: center;
  color: $primary;
  padding-top: 8px;
  padding-bottom: 8px;
  border-left: 0;
  border-right: 0;
}

.list-group-item-btn:last-child {
  border-bottom: 0;
}

.scroll-box-bottom-outline {
  box-shadow: 0px -10px 25px -15px rgba(0, 0, 0, 0.50);
}

.border-no-radius-top {
  border-top-left-radius: 0 !important;
  border-top-right-radius: 0 !important;
}

.list-group-item.disabled, .list-group-item:disabled {
  background-color: $gray-100;
}

.form-control {
  background-image: none !important;
}


::placeholder {
  color: $placeholder-color !important;
  opacity: 1;
}

:-ms-input-placeholder {
  color: $placeholder-color !important;
}

::-ms-input-placeholder {
  color: $placeholder-color !important;
}


.round {
  border-radius: $border-radius !important;
}

.border-radius-top {
  border-top-left-radius: $border-radius !important;
  border-top-right-radius: $border-radius !important;
}

.border-radius-bottom {
  border-bottom-left-radius: $border-radius !important;
  border-bottom-right-radius: $border-radius !important;
}

.border-radius-left {
  border-top-left-radius: $border-radius !important;
  border-bottom-left-radius: $border-radius !important;
}

.border-radius-right {
  border-top-right-radius: $border-radius !important;
  border-bottom-right-radius: $border-radius !important;
}

.no-border-radius-top {
  border-top-left-radius: 0 !important;
  border-top-right-radius: 0 !important;
}

.no-border-radius-bottom {
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.no-border-radius-left {
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.no-border-radius-right {
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}


.list-group-item-action {
  cursor: pointer;
}

.card-header {
  background-color: $white;
}

.bg-search-bar {
  background-color: $background-color-search-bar;
}

.no-validation-icon {
  background-image: none !important;
}

.vertical-align-middle {
  vertical-align: middle !important;
}

.dropdown-menu {
  margin-top: -32px;
}

a, .btn-link {
  text-decoration: none !important;
}

.a-disabled {
  pointer-events: none;
  cursor: default;
}

.separator {
  display: flex;
  align-items: center;
  text-align: center;
  padding-top: 1.5em;
  padding-bottom: 1.5em;
  color: $text-muted;

  .text {
    margin-left: 1em;
    margin-right: 1em;
    cursor: default;
  }

  &:before,
  &:after {
    content: '';
    flex: 1;
    flex-basis: 15%;
    border-bottom: 1px solid $border-color;
  }
}

.container-form {
  @media only screen and (min-width: 576px) {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }
}

.break-word {
  word-break: break-word;
}

.cursor-pointer {
  cursor: pointer;
}

.file-color-default {
  color: $gray-700;
}

.file-color-pdf {
  color: indianred !important;
}

.file-color-word {
  color: cornflowerblue !important;
}

.p-card {
  padding: 20px !important;
}

.primary-text {
  color: $primary-text;
}

.hint-text-muted {
  color: $text-muted;
  text-align: center;
  padding-top: 8px;
  padding-bottom: 8px;
  cursor: default;
}

.hint-text-danger {
  color: $danger;
  text-align: center;
  padding-top: 8px;
  padding-bottom: 8px;
  cursor: default;
}

.intl-tel-input {
  width: 100%;
}

.cursor-default {
  cursor: default !important;
}

.cursor-action {
  cursor: pointer !important;
}

.card-action {
  cursor: pointer;
  outline: none;
  color: $list-group-action-color;
  text-align: inherit;

  @include hover-focus {
    z-index: 1;
    color: $list-group-action-hover-color;
    text-decoration: none;
    background-color: $list-group-hover-bg;

    .card-header {
      z-index: 1;
      color: $list-group-action-hover-color;
      text-decoration: none;
      background-color: $list-group-hover-bg;
    }
  }

  &:active {
    color: $list-group-action-active-color;
    background-color: $list-group-action-active-bg;

    .card-header {
      color: $list-group-action-active-color;
      background-color: $list-group-action-active-bg;
    }
  }
}

.StripeElement {
  padding: 9px 12px;
}

.StripeElement--focus {
  color: $input-focus-color;
  background-color: $input-focus-bg;
  border-color: $input-focus-border-color;
  outline: 0;
  @if $enable-shadows {
    box-shadow: $input-box-shadow, $input-focus-box-shadow;
  } @else {
    box-shadow: $input-focus-box-shadow;
  }
}

.StripeElement--complete {
  border-color: $success;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: center right calc(0.375em + 0.1875rem);
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.StripeElement--invalid {
  border-color: $danger;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
  background-repeat: no-repeat;
  background-position: center right calc(0.375em + 0.1875rem);
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.StripeElement--disabled {
  background-color: $input-disabled-bg;
  opacity: 1;
}

.flatpickr-input {
  background-color: $white !important;
  border-top-left-radius: $input-border-radius !important;
  border-bottom-left-radius: $input-border-radius !important;

  .input-group-append {
    background-color: $input-disabled-bg;
    border-top-right-radius: $input-border-radius;
    border-bottom-right-radius: $input-border-radius;
  }
}

.flatpickr-input:disabled {
  background-color: $input-disabled-bg !important;
  cursor: default;
}

.custom-control-label {
  cursor: pointer;
}

.custom-control-input:disabled + .custom-control-label {
  cursor: default;
}

.license-plate {
  padding-left: 30px;
  position: relative;

  .license-plate-country {
    color: $black;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 0.8em;
    width: 30px;
    text-align: center;
    bottom: -3px;
    position: absolute;
    left: 0;
  }

  .license-plate-flag {
    width: 30px;
    top: 5px;
    position: absolute;
    left: 0;
  }
}

.license-plate::after,
.license-plate::before {
  content: '';
  display: block;
  position: absolute;
}

.license-plate::before {
  width: 30px;
  height: 100%;
  background: $white;
  top: 0;
  border-radius: .25rem 0 0 .25rem;
  color: $white;
  font-size: .5em;
  left: 0;
  border: 1px solid $input-border-color;
}

.license-plate::after {
  top: 7px;
  left: 7px;
  width: 15px;
  height: 15px;
  background-repeat: no-repeat;
}

.license-plate-eu {
  padding-left: 30px;
  position: relative;

  .license-plate-country {
    color: $white;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 0.9em;
    width: 30px;
    text-align: center;
    bottom: -3px;
    position: absolute;
    left: 0;
  }
}

.license-plate-eu::after,
.license-plate-eu::before {
  content: '';
  display: block;
  position: absolute;
}


.license-plate-eu::before {
  width: 30px;
  height: 100%;
  background: #063298;
  top: 0;
  border-radius: .25rem 0 0 .25rem;
  color: $white;
  font-size: .5em;
  left: 0;
}

.license-plate-eu::after {
  top: 5px;
  left: 7px;
  width: 15px;
  height: 15px;
  border-radius: 30px;
  border: 1px dashed #f8d038;
}

.garage-map-list-card {
  p, h1, h2, h3, h4, h5 {
    font-size: 14px !important;
    margin-bottom: 4px;
  }
}

.success-icon-group {
  .object-icon {
    font-size: 75px;
    color: $text-muted;
  }

  .check-icon {
    font-size: 30px;
    margin-left: -25px;
    color: $success;
    background-color: $white;
    border-radius: 50px;
  }
}

.block-center {
  display: block !important;
  margin-left: auto !important;
  margin-right: auto !important;
}


.slick-dots {
  position: absolute;
  display: block;
  width: 100%;
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  bottom: -24px;

  li {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0 8px;
    padding: 0;
    cursor: pointer;

    button {
      font-size: 0;
      line-height: 0;
      display: block;
      width: 20px;
      height: 20px;
      padding: 8px;
      cursor: pointer;
      color: transparent;
      border: 0;
      outline: none;
      background: transparent;

      &:before {
        content: '○';

        font-size: 20px;
        line-height: 20px;
        position: absolute;
        top: 0;
        left: 0;
        width: 20px;
        height: 20px;
        text-align: center;
        color: $text-muted;

        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
      }
    }
  }

  li.slick-active button:before {
    content: '●';
  }
}

.btn-slick {
  padding: 4px;
  border-radius: 50%;
  box-shadow: none !important;
  position: absolute;
  top: 50%;
  z-index: 1;

  &:not(:hover) {
    background-color: $white;
  }

  &:not(.slick-disabled) {
    display: flex !important;
  }

  &.slick-disabled {
    display: none !important;
  }

  i {
    font-size: 21px;
  }

  &.prev {
    margin: -16px -11px;
  }

  &.next {
    left: 100%;
    margin: -16px -21px;
  }
}

ul.check-mark {
  list-style: none;
  padding-left: 0;

  li {
    position: relative;
    padding-left: 1.5em;
  }

  li:before {
    content: '✓';
    position: absolute;
    left: 0;
    width: 1em;
    height: 1em;
  }
}
